% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vb_concurrent.R
\name{vb_concurrent}
\alias{vb_concurrent}
\title{vb_concurrent}
\usage{
vb_concurrent(formula, id.var = NULL, data = NULL, Kt = 5, Kp = 2,
  v1 = 100, standardized = FALSE, t.min = NULL, t.max = NULL)
}
\arguments{
\item{formula}{formula for desired regression. should have form \code{ y ~ x1 + x2 + ... + x_k | t}, where \code{t} is the variable that parameterized observed functions}

\item{id.var}{variable giving subject ID vector}

\item{data}{optional data frame}

\item{Kt}{number of spline basis functions for coefficients and FPCs}

\item{Kp}{number of FPCs to estimate}

\item{v1}{tuning parameter; normal slab variance}

\item{standardized}{logical; are covariates already standardized?}

\item{t.min}{minimum value to be evaluated on the time domain (useful if data are sparse and / or irregular). if `NULL`, taken to be minium observed value.}

\item{t.max}{maximum value to be evaluated on the time domain (useful if data are sparse and / or irregular). if `NULL`, taken to be minium observed value.}
}
\description{
Implements variational bayes for the linear functional concurrent model
}
\author{
Jeff Goldsmith \email{jeff.goldsmith@columbia.edu}
}

